(use-modules (gnu home)
             (gnu packages)
	     (gnu packages base)
	     (gnu packages gnupg)
	     (gnu packages shells)
             (gnu services)
	     (gnu services xorg)
	     (gnu system keyboard)
             (guix gexp)
	     (guix channels)
	     (gnu home services)
	     (gnu home services guix)
	     (gnu home services ssh)
	     (gnu home services desktop)
	     (gnu home services dotfiles)
             (gnu home services shells)
	     (gnu home services gnupg))

(define dotfiles-dir "/home/w96k/projects/dotfiles/")

(define wkz-home (home-environment
		  (packages (specifications->packages
			     (list
			      "glibc-locales"
			      "rlwrap"
			      "readline"
			      "mg"
			      "ratpoison"
			      "file"
			      "universal-ctags"
			      "perl"
			      "python"
			      "python-wrapper"
			      "php"
			      "openjdk"
			      "maven"
			      "sqls"
			      "go"
			      "ruby"
			      "gopls"
			      "delve"
			      "python-lsp-server"
			      "python-jedi" ;; Looks a bit deprecated
			      "ruby-solargraph"
			      "zig-zls"
			      "rust-analyzer"
			      "racket"
			      "gcc-toolchain"
			      "clang-toolchain"
			      "gdb"
			      "valgrind"
			      "frama-c"
			      "kcachegrind"
			      "dwarves"
			      "xterm"
			      "screen"
			      "xdot"
			      "graphviz"
			      "sed"
			      ;;"darktable"
			      "global"
			      "emacs-edbi"
			      "emacs-edbi-sqlite"
			      "emacs-dape"
			      "emacs-dumb-jump"
			      "emacs-goto-chg"
			      "emacs-repology"
			      "emacs-syslog-mode"
			      "emacs-ggtags"
			      "emacs-semantic-refactor"
                              "openssh"
                              "docker-compose"
			      "emacs-docker"
			      "emacs-dockerfile-mode"
			      "emacs-docker-compose-mode"
                              "emacs-company"
                              "emacs-f"
                              "emacs-s"
			      "emacs-xterm-color"
                              ;; "emacs-lsp-mode"
			      "emacs-ebuild-mode"
			      
			      "emacs-helm"
			      "emacs-helm-gtags"
			      
			      "emacs-magit"
			      "emacs-git-timemachine"
			      "emacs-browse-kill-ring"
			      "emacs-anzu"
			      "emacs-sudo-edit"
			      "emacs-highlight"
			      "emacs-mastodon"
			      "emacs-org-roam"
			      "emacs-undo-tree"
			      "emacs-expand-region"
			      "emacs-avy"
			      "emacs-imenu-list"

			      "emacs-nyxt"

			      "guile"
			      "guile-readline"
			      "guile-colorized"
			      "emacs-geiser"
			      "emacs-geiser-guile"
			      
			      "emacs-telega"
			      "emacs-telega-contrib"
			      "emacs-guix"
			      "emacs-simple-httpd"
			      "emacs-osm"
			      "translate-shell"
                              "wget"
			      "curl"
                              "bitcoin-core"
                              "xrandr"
                              "unzip"
                              "zip"
                              "mpv"
                              "emacs-rmsbolt"
                              "git"
                              ;; "wkz-emacs"
			      "emacs-no-x-toolkit"
			      "emacs-gptel"
			      "emacs-nix-mode"
                              "lm-sensors"
                              "htop"
                              "make"
                              "emacs-simple-httpd"
                              "emacs-guix"
			      "emacs-hyperbole"
			      "emacs-php-mode"
                              "gimp"
                              "imagemagick"
                              "stow"
                              "smartmontools"
                              "lshw"
                              "hwinfo"
                              "qbittorrent"
                              "x11-ssh-askpass"
                              "syncthing"
                              "pavucontrol"
                              "arp-scan"
                              "openconnect"
                              "alsa-utils"
                              "grep"
			      "xlockmore"
			      "x11-ssh-askpass"
			      "pinentry"
			      "pinentry-emacs"
			      ;;"texlive"
			      "fetchmail"
			      "gnupg"
			      "xhost"

			      "universal-ctags"
			      
			      "c-intro-and-ref"
			      "sicp"

			      "font-xfree86-type1"
			      "xlsfonts"
			      "font-alias"
			      "font-gnu-unifont"

			      "proxychains-ng"
			      "ungoogled-chromium"
			      "torbrowser"
			      "icecat"
			      "librewolf"
			      "nyxt"
			      "netsurf"
			      "ublock-origin-icecat"
			      "ublock-origin-chromium"
			      "noscript-icecat"
			      "browserpass-native"
			      
			      "keepassxc-browser-icecat"
			      "keepassxc"

			      "restic"
			      "btrbk"

			      "emacs-helm-pass"
			      "emacs-pass"
			      "password-store"

			      "musescore"
			      "schismtracker"
			      "workrave"
			      "flatpak"
			      "utox"
			      "net-tools"
			      "lsof"
			      "podman"
			      "podman-compose"
			      "macchanger"

			      "udiskie"
			      "emacs-discomfort"

			      "yt-dlp"
			      "emacs-ytdl"

			      ;; "wkz-php"
			      ;; "wkz-python"
			      ;; "wkz-ruby"
			      )))

		  ;; Below is the list of Home services.  To search for available
		  ;; services, run 'guix home search KEYWORD' in a terminal.
		  (services
		   (list
		    (service home-bash-service-type
			     (home-bash-configuration
			      (guix-defaults? #t)
			      (aliases '(("grep" . "grep --color=auto")
					 ("ip" . "ip -color=auto")
					 ("ll" . "ls -l")
					 ("ls" . "ls -p --color=auto")))
			      (bashrc (list (local-file
					     ".bashrc"
					     "bashrc")))
			      (bash-profile (list (local-file
			                           ".bash_profile"
			                           "bash_profile")))
			      ))

		    ;; (service home-x11-display-service-type)
		    (service home-gpg-agent-service-type)

		    ;;	 (service home-unclutter-service-type
		    ;;		  (home-unclutter-configuration
		    ;;		   (idle-timeout 1)))

		    ;; (service home-openssh-service-type
		    ;; 	     (home-openssh-configuration
		    ;; 	      (authorized-keys (list (local-file "id_rsa.pub")))))

		    (service home-startx-command-service-type
			     (xorg-configuration (keyboard-layout (keyboard-layout "us,ru"
										   #:options '("grp:shifts_toggle" "ctrl:nocaps")))))

		    (service home-dotfiles-service-type
			     (home-dotfiles-configuration
			      ;; (layout 'stow)
			      (directories '(
					     "/home/w96k/projects/dotfiles/X"
					     "/home/w96k/projects/dotfiles/wm"
					     "/home/w96k/projects/dotfiles/emacs"
					     "/home/w96k/projects/dotfiles/cvs"
					     "/home/w96k/projects/dotfiles/guix"
					     "/home/w96k/projects/dotfiles/ssh"
					     ))))

		    ;; (service home-ssh-agent-service-type
		    ;; 	  (home-ssh-agent-configuration
		    ;; 	   (extra-options '("-t" "1h30m"))))

		    (service home-files-service-type
			     `((".guile" ,%default-dotguile)))

		    (service home-xdg-configuration-files-service-type
			     `(("gdb/gdbinit" ,%default-gdbinit)
			       ("nano/nanorc" ,%default-nanorc)))

		    (simple-service 'nonguix-service 
				    home-channels-service-type
				    (list
				     (channel
				      (name 'nonguix)
				      (url "https://gitlab.com/nonguix/nonguix")
				      (introduction
				       (make-channel-introduction
					"897c1a470da759236cc11798f4e0a5f7d4d59fbc"
					(openpgp-fingerprint
					 "2A39 3FFF 68F4 EF7A 3D29 12AF 6F51 20A0 22FB B2D5"))))))
		    ))))

wkz-home
